> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets

> Retrieves a paginated list of secrets for the specified project. Secret values are not included in the response.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/secrets/list
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/projects/secrets/list:
    get:
      summary: List Secrets
      description: >-
        Retrieves a paginated list of secrets for the specified project. Secret
        values are not included in the response.
      parameters:
        - in: query
          name: take
          required: false
          description: Number of secrets to return per page.
          schema:
            type: string
            default: '10'
            example: '10'
        - in: query
          name: skip
          required: false
          description: Page number for pagination.
          schema:
            type: string
            default: '1'
            example: '1'
        - in: query
          name: search
          required: false
          description: Search term to filter secrets by name.
          schema:
            type: string
            example: API
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSecretsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListSecretsResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: success
        data:
          type: object
          properties:
            secrets:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: ed9b5601-f731-441a-8500-d9fc7610ef8f
                  name:
                    type: string
                    example: API_KEY
                  description:
                    type: string
                    example: Production API key
                  tags:
                    type: array
                    items:
                      type: string
                    example:
                      - production
                      - api
                  lastAccessedAt:
                    type: string
                    nullable: true
                    example: null
                  createdAt:
                    type: string
                    example: '2024-12-15T00:00:00.000Z'
                  updatedAt:
                    type: string
                    example: '2024-12-15T00:00:00.000Z'
            total:
              type: number
              description: Total number of secrets in the project.
              example: 100
            filtered:
              type: number
              description: Number of secrets returned after filtering.
              example: 10
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````